package com.palmnest.application.core.util;

import java.util.List;

import com.palmnest.application.bean.ListPage;

public class PageUtils {

	public static ListPage getListPage(List list, int pageNo, int pageSize) {
		ListPage page = new ListPage();
		//list的大小
		int count = list.size();
		//设置总页数
		int totalPage = count % pageSize == 0 ? count / pageSize : count / pageSize + 1;
		page.setTotalPage(totalPage);
		if (pageNo > totalPage) {
			if (totalPage > 0) {
				pageNo = 1;
			} else {
				pageNo = 0;
			}
		}
		if (pageNo <= 0) {
			page.setCurrentPage(1);
		} else {
			page.setCurrentPage(pageNo);
		}
		//设置每页数据为十条
		if (pageSize <= 0) {
			page.setPageSize(10);
		} else {
			page.setPageSize(pageSize);
		}
		//每页的开始数
		page.setStar((page.getCurrentPage() - 1) * page.getPageSize());
		//对list进行截取
		page.setDataList(list.subList(page.getStar(), count - page.getStar() > page.getPageSize() ? page.getStar() + page.getPageSize() : count));
		return page;
	}

}
